package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.GP_Pricing;
import com.rjconsultores.ventaboletos.entidad.GP_PricingVigencia;

public interface GP_PricingVigenciaDAO extends GenericDAO<GP_PricingVigencia, Integer> {

    public List<GP_PricingVigencia> buscarPorVigencias(GP_PricingVigencia pv);

    public Boolean podeSalvar(GP_Pricing pricing, GP_PricingVigencia pricingVigencia,
            Date inicio, Date fim);

	public List<GP_PricingVigencia> obtenerTodoPorPricing(GP_Pricing pricing);
}
